%define git fee1ebe
%define major 2
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}

Name:           yajl
Version:        2.0.4
Release:        %mkrel 1
Summary:        Yet Another JSON Library
License:        ISC License
Group:          System/Libraries
Url:            http://lloyd.github.com/yajl/

Source0:        lloyd-%{name}-%{version}-0-g%{git}.tar.gz
BuildRequires:  doxygen
BuildRequires:  cmake
Requires:       %{libname} = %{version}-%{release}

%description
Yet Another JSON Library. YAJL is a small event-driven (SAX-style) JSON parser
written in ANSI C, and a small validating JSON generator. YAJL is released
under the ISC license.

%package -n %{libname}
Summary:        %{summary}
Provides:       lib%{name}

%description -n %{libname}
Yet Another JSON Library. YAJL is a small event-driven (SAX-style) JSON parser
written in ANSI C, and a small validating JSON generator. YAJL is released
under the ISC license.

%package -n %{devname}
Summary:        Development files for using %{name}
Group:          Development/C

Provides:       lib%{name}-devel
Provides:       %{name}-devel
Requires:       %{libname}

%description -n %{devname}
Development files for using %{name}

%prep
%setup -q -n lloyd-%{name}-%{git} 

%build
# use cmake ditrectly since the upstream configure script
# doesn't work properly on 64bit systems
# and it would only call cmake itself
%cmake

%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/json_reformat
%{_bindir}/json_verify

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libyajl.so.*

%files -n %{devname}
%defattr(-,root,root)
%{_libdir}/libyajl*a
%{_libdir}/libyajl.so
%{_includedir}/yajl
%{_datadir}/pkgconfig/yajl.pc


%changelog

* Wed Jan 11 2012 obgr_seneca <obgr_seneca> 2.0.4-1.mga2
+ Revision: 194930
- new version 2.0.4

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 2.0.2-1.mga2
+ Revision: 171874
-new version 2.0.2

* Sun Sep 11 2011 obgr_seneca <obgr_seneca> 2.0.1-2.mga2
+ Revision: 142467
- fixed Provides of devel package

* Sun Sep 11 2011 obgr_seneca <obgr_seneca> 2.0.1-1.mga2
+ Revision: 142458
- add cmake to BuildRequires
- changed release to 1, this is a stable release upstream
- imported package yajl

